Page MenuHomePhabricator

[Alpha/Labs] Have links on Wikidata Q and P items open in a new window/tab
Closed, ResolvedPublic

Description

On Labs, both UploadWizard and Filepage have links for the Depicts value (P180) and links for the Q item of added entities.

These links should always open in a new tab/window (basically target=_blank functionality)

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2019, 9:38 PM
Ramsey-WMF triaged this task as Normal priority.Feb 19 2019, 6:06 PM
matthiasmullie removed matthiasmullie as the assignee of this task.Feb 19 2019, 8:33 PM
matthiasmullie added a subscriber: matthiasmullie.

Change 492218 had a related patch set uploaded (by Eric Gardner; owner: Eric Gardner):
[mediawiki/extensions/WikibaseMediaInfo@master] Adds target=_blank to Wikidata Q and P links in Depicts panel

https://gerrit.wikimedia.org/r/492218

Change 492218 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Adds target=_blank to Wikidata Q and P links in Depicts panel

https://gerrit.wikimedia.org/r/492218

This works for me!

Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Mar 8 2019, 2:41 AM
Ramsey-WMF closed this task as Resolved.Apr 23 2019, 11:49 PM